import { HTMLInputTypeAttribute } from "react";
export declare type State<T> = T;
export interface IInputFieldProps {
    fieldType: HTMLInputTypeAttribute;
    inputValue: string;
    onInputChange: (value: string) => void;
    autoComplete?: string;
    placeholder?: string;
    error?: string;
    inputCustomClassName?: string;
    errorCustomClassName?: string;
}
export interface IButtonProps {
    buttonType: ButtonTypes;
    label: string;
    shouldLoad?: boolean;
    onPressed: () => void;
    appearence?: string;
}
export declare enum ButtonTypes {
    primary = 0,
    secondary = 1,
    success = 2,
    info = 3,
    callToAction = 4,
    custom = 5
}
export interface IGenericApiError {
    message: string;
    errors: {
        [key: string]: string[];
    };
}
export declare enum SupportedApiMethods {
    "GET" = "GET",
    "PUT" = "PUT",
    "POST" = "POST",
    "DELETE" = "DELETE",
    "PATCH" = "PATCH"
}
